2018-08-09 23:29:00 2019-10-03 02:03:26

It was discovered that PostgreSQL versions before 10.5, 9.6.10, 9.5.14, 9.4.19, and 9.3.24 failed to properly check authorization on certain statements involved with "INSERT ... ON CONFLICT DO UPDATE". An attacker with "CREATE TABLE" privileges could exploit this to read arbitrary bytes server memory. If the attacker also had certain "INSERT" and limited "UPDATE" privileges to a particular table, they could exploit this to update other columns in the same table.

Vector

NETWORK

Complexity

LOW

Authentication

SINGLE_INSTANCE

Confidentiality

PARTIAL

Integrity

PARTIAL

Availability

NONE
Postgresql Postgresql 9.6.8 (not an official CPE) Postgresql Postgresql 9.6.7 (not an official CPE) Postgresql Postgresql 9.6.6 (not an official CPE) Postgresql Postgresql 9.6.5 (not an official CPE) Postgresql Postgresql 9.6.4 (not an official CPE) Postgresql Postgresql 9.6.3 (not an official CPE) Postgresql Postgresql 9.6.2 (not an official CPE) Postgresql Postgresql 9.6.1 (not an official CPE) Postgresql Postgresql 9.6.0 (not an official CPE) Postgresql Postgresql 9.5.13 (not an official CPE) Postgresql Postgresql 9.5.12 (not an official CPE) Postgresql Postgresql 9.5.11 (not an official CPE) Postgresql Postgresql 9.5.10 (not an official CPE) Postgresql Postgresql 9.5.9 (not an official CPE) Postgresql Postgresql 9.5.8 (not an official CPE) Postgresql Postgresql 9.5.7 (not an official CPE) Postgresql Postgresql 9.5.6 (not an official CPE) Postgresql Postgresql 9.5.5 (not an official CPE) Postgresql Postgresql 9.5.4 (not an official CPE) Postgresql Postgresql 9.5.3 (not an official CPE) Postgresql Postgresql 9.5.2 (not an official CPE) Postgresql Postgresql 9.5.1 (not an official CPE) Postgresql Postgresql 9.5.0 (not an official CPE) Postgresql Postgresql 9.4.18 (not an official CPE) Postgresql Postgresql 9.4.17 (not an official CPE) Postgresql Postgresql 9.4.16 (not an official CPE) Postgresql Postgresql 9.4.15 (not an official CPE) Postgresql Postgresql 9.4.14 (not an official CPE) Postgresql Postgresql 9.4.13 (not an official CPE) Postgresql Postgresql 9.4.12 (not an official CPE) Postgresql Postgresql 9.4.11 (not an official CPE) Postgresql Postgresql 9.4.10 (not an official CPE) Postgresql Postgresql 9.4.9 (not an official CPE) Postgresql Postgresql 9.4.8 (not an official CPE) Postgresql Postgresql 9.4.7 (not an official CPE) Postgresql Postgresql 9.4.6 (not an official CPE) Postgresql Postgresql 9.4.5 (not an official CPE) Postgresql Postgresql 9.4.4 (not an official CPE) Postgresql Postgresql 9.4.3 (not an official CPE) Postgresql Postgresql 9.4.2 (not an official CPE) Postgresql Postgresql 9.4.1 (not an official CPE) Postgresql Postgresql 9.4.0 (not an official CPE) Postgresql Postgresql 9.3.23 (not an official CPE) Postgresql Postgresql 9.3.22 (not an official CPE) Postgresql Postgresql 9.3.21 (not an official CPE) Postgresql Postgresql 9.3.20 (not an official CPE) Postgresql Postgresql 9.3.19 (not an official CPE) Postgresql Postgresql 9.3.18 (not an official CPE) Postgresql Postgresql 9.3.17 (not an official CPE) Postgresql Postgresql 9.3.15 (not an official CPE) Postgresql Postgresql 9.3.16 (not an official CPE) Postgresql Postgresql 9.3.14 (not an official CPE) Postgresql Postgresql 9.3.13 (not an official CPE) Postgresql Postgresql 9.3.12 (not an official CPE) Postgresql Postgresql 9.3.11 (not an official CPE) Postgresql Postgresql 9.3.10 (not an official CPE) Postgresql Postgresql 9.3.9 (not an official CPE) Postgresql Postgresql 9.3.7 (not an official CPE) Postgresql Postgresql 9.3.8 (not an official CPE) Postgresql Postgresql 9.3.6 (not an official CPE) Postgresql Postgresql 9.3.5 (not an official CPE) Postgresql Postgresql 9.3.4 (not an official CPE) PostgreSQL PostgreSQL 9.3.3 PostgreSQL PostgreSQL 9.3.2 PostgreSQL PostgreSQL 9.3.1 Postgresql Postgresql 9.3.0 (not an official CPE) Postgresql Postgresql 9.6.9 (not an official CPE) Postgresql Postgresql 10.0 (not an official CPE) Postgresql Postgresql 10.1 (not an official CPE) Postgresql Postgresql 10.2 (not an official CPE) Postgresql Postgresql 10.3 (not an official CPE) Postgresql Postgresql 10.4 (not an official CPE)